const path = require('path');
const HtmlWebPackPlugin = require('html-webpack-plugin');

const config = {
    entry: ["./src/index.js"],
    output: {
        path: path.resolve(__dirname, "dist"),
        filename: "js/[name].js"
    },

    devServer: {
        contentBase: "./dist",
        port: 1337
    },

    module: {
        rules: []
    },

    plugins: []
};

// HTML ------>
config.plugins.push(new HtmlWebPackPlugin({
    template: './public/index.html',
    inject: true,
    minify: false
}));

// STYLES ----->
config.module.rules.push({
    test: /\.css$/,
    use: ['style-loader', 'css-loader']
});

// JAVASCRIPT ----->
config.module.rules.push({
   test: /\.(js|jsx)$/,
   exclude: /node_modules/,
   use: {
       loader: 'babel-loader',
       options: {
           presets: [
               'babel-preset-react',
               'babel-preset-env'
           ]
       }
   },
});

// IMAGES ----->
config.module.rules.push({
    test: /\.(png|jpg|gif|svg|ico)$/,
    loader: 'url-loader'
})



module.exports = config;